import { BleComboLLSyncTaskOptions, BleComboEspTaskOptions, BleComboEspDeviceAdapter, BleComboLLSyncDeviceAdapter } from './protocols';
import { AppDevPlugin, AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
export declare type BLEWifiConfOption = BleComboLLSyncTaskOptions | BleComboEspTaskOptions;
declare module 'qcloud-iotexplorer-appdev-sdk' {
    interface AppDevPlugins {
        wifiConfBleCombo: {
            start(options: BLEWifiConfOption): Promise<void>;
        };
    }
}
export { BleComboEspDeviceAdapter, BleComboLLSyncDeviceAdapter, };
export default class BleComboPlugin implements AppDevPlugin {
    static install(sdk: AppDevSdk): void;
}
