import { BleComboTask, BleComboTaskOptions, BleComboType } from '../BleComboTask';
import { BleComboEspDeviceAdapter } from './BleComboEspDeviceAdapter';
export interface BleComboEspTaskOptions extends BleComboTaskOptions<BleComboEspDeviceAdapter> {
    deviceAdapter: BleComboEspDeviceAdapter;
    bleComboProto: BleComboType.BLE_COMBO_ESP;
}
export declare class BleComboEspTask extends BleComboTask<BleComboEspDeviceAdapter> {
    constructor(options: BleComboEspTaskOptions);
    setWiFiMode(): Promise<void>;
    sendWiFiInfo(): Promise<void>;
    connectWifi(): Promise<string[]>;
    sendToken(): Promise<{
        productId: any;
        deviceName: any;
    }>;
}
